CHDMAN(1)

NAME
chdman - MAME Compressed Hunks of Data (CHD) manager

SYNOPSIS
chdman option switches

DESCRIPTION
chdman is the (C)ompressed (H)unks of (D)ata (CHD) manager for MAME. It is a tool to manage CHD images.

OPTIONS

info input.chd
    Dump the header information from a drive image.

verify input.chd
    Validate the MD5/SHA1 on a drive image.

createraw inputhd.raw output.chd [inputoffs [hunksize]]
    Create a new compressed raw image from a raw file.

createhd inputhd.raw output.chd [inputoffs [cylinders heads sectors [sectorsize [hunksize]]]]
    Create a new compressed hard disk image from a raw file.

createcd input.toc output.chd
    Create a new compressed CD image from a raw file.

createld input.toc output.chd
    Create a new compressed laserdisc image from a raw file.

extractraw input.chd output.raw
    Extract a raw file from a CHD image.

extracthd input.chd output.toc output.bin
    Extract a hard disk block image from a CHD image.

extractcd input.chd output.toc output.bin
    Extract a CDRDAO .toc/.bin, CDRWIN .bin/.cue, or Sega Dreamcast .GDI file from a CHD-CD image.

extractld input.chd output.toc output.bin
    Extract a laserdisc image from a CHD-LD image.

copy input.chd output.chd
    Copy all hunks of data from one CHD file to another. The hunk sizes do not need to match. If the source is shorter than the destination, the source data will be padded with 0s.

SWITCHES

--chs, -chs cylinders,heads,sectors
    Specifies CHS geometry values for CHD harddisks.

--compression, -c none|type1[,type2[,...]]
    Which compression codecs to use (up to 4).

--force, -f
    Force overwriting an existing file.

--help, -h
    Shows the available switches for an option.

--hunksize, -hs bytes
    Size of each unit, in hunks.

--ident, -id filename
    Name of ident file to provide CHS information.

--input, -i filename
    Input file name.

--inputstartbyte, -isb offset
    Starting byte offset within the input.

--inputstarthunk, -ish offset
    Starting hunk offset within the input.

--inputbytes, -ib length
    Effective length of the input in bytes.

--inputhunks, -ih length
    Effective length of the input in hunks.

--inputparent, -ip filename
    Parent CHD's input file name.

--numprocessors, -np count
    Limits the number of processors to use during compression.

--sectorsize, -ss bytes
    size of each hard disk sector.

--verbose, -v
    Output additional information about the operation.

--output, -o filename
    Output file name.

--outputbin, -ob filename
    Output binary file name for extractcd.

--outputparent, -op filename
    Parent CHD's output file name.

--unitsize, -us bytes
    Size of each unit, in bytes.